Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 03-03-2010 17:07:09

Cyber-Gedeon
Membre
Lieu : Haut-Jura
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Fluxbox
Inscription : 15-07-2007

Installation de VirtualBox (problème de dépendances)

Bonjour
Je tente d'installer VirtualBox mais je tombe sur un problème de dépendance:
En résumé après installation VirtualBox  des messages d'erreurs  me demandent d'installer linux-headers-2.6.30-2-amd64 mais si je tente de le faire apt me répond par :

# apt-get install linux-headers-2.6.30-2-amd64
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
  linux-headers-2.6.30-2-amd64: Dépend: linux-kbuild-2.6.30 mais il n'est pas installable
E: Paquets défectueux


Je ne suis pas sous  Sid mais Squeeze, faut-il changer mes dépôts ? Ou-bien s'agit-il d'un bug ?
Pourquoi ce paquet linux-kbuild-2.6.30 n'est il pas installable ?

Hors ligne

#2 03-03-2010 22:46:20

guilhem91
Membre
Lieu : Essonne
Distrib. : Squeeze 6.0.1
Noyau : 2.6.32-5-amd64
(G)UI : KDE 4.4.5
Inscription : 26-06-2009
Site Web

Re : Installation de VirtualBox (problème de dépendances)

Bonsoir

Sid ou Squeeze, les deux sont instables. Il n'est pas étonnant qu'il y ait paquets défectueux dans de tels dépôts.

À priori, rien à faire, à par attendre que l'équipe Debian s'en charge. Cela peut prendre quelques jours ... ou quelques mois...

Debian Squeeze 6.0.1 64 bits sur AMD Phenom II X4 3GHz + Nvidia Geforce 9600 GT

Mon site : GNU/Linux et conseils en vrac...

Hors ligne

#3 04-03-2010 11:48:52

Berillions
Membre
Distrib. : Squeeze
Noyau : 2.6.39-bpo2
(G)UI : Xfce 4.6
Inscription : 02-05-2009

Re : Installation de VirtualBox (problème de dépendances)

Salut,

Car le noyau en Testing est le suivant : 2.6.32-trunk, cela va faire plus d'un mois qu'il est passé en 2.6.32.
Pour tester, tape en root : uname -r

Puis pour installer les linux-headers, pour ne pas se tromper, installe les de cette façon : aptitude install linux-headers-$(uname -r)

Hors ligne

#4 04-03-2010 16:30:03

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Installation de VirtualBox (problème de dépendances)

Bjr,
Le 2.6.32.2 est en unstable et Cyber-Gedeon est en squeeze

De plus pas sûr que ça résolve les problèmes de dépendances

Ce n'est pas le virtualbox des dépots ?

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#5 04-03-2010 22:07:50

Cyber-Gedeon
Membre
Lieu : Haut-Jura
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Fluxbox
Inscription : 15-07-2007

Re : Installation de VirtualBox (problème de dépendances)

Bonsoir
Mon noyau est bien  le 2.6.30-2-amd64 et j'ai tenté l'intallation avec Synaptic puis apt (les messages d'erreur d'apt étant plus explicites d'ailleurs)
Vu que je n'ai pas un besoin impératif de VirtualBox et que ce problème me semble difficile à résoudre, je vais laisser tomber et installer virtualbox sur mon autre PC sous Lenny en atendant une mise à jour providentielle.

Merci pour vos infos

Dernière modification par Cyber-Gedeon (04-03-2010 22:11:05)

Hors ligne

Pied de page des forums